Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw.control
Class ISO19119RequestFactory

    java.lang.Object
      org.deegree.portal.standard.csw.control.CSWRequestFactory
          org.deegree.portal.standard.csw.control.ISO19119RequestFactory

    public class ISO19119RequestFactory

extends CSWRequestFactory

A `${type_name}` class.
TODO class description

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.portal.standard.csw.control.CSWRequestFactory
`config, RPC_ELEMENTSETNAME, RPC_KEYWORDS, RPC_MDTYPE, RPC_STARTPOSITION, RPC_TOPICCATEGORY, RPC_TYPENAME`

Constructor Summary
`ISO19119RequestFactory()`

Method Summary
`String` | `createRequest(RPCStruct struct, String resultType)` creates a GetRecord request that is conform to the OGC Stateless Web Service Catalog Profil and GDI NRW catalog specifications from a RPC struct.

Methods inherited from class org.deegree.portal.standard.csw.control.CSWRequestFactory
`setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISO19119RequestFactory

    public ISO19119RequestFactory()

Method Detail

### createRequest

    public String createRequest(RPCStruct struct,
                                String resultType)

  creates a GetRecord request that is conform to the OGC Stateless Web Service Catalog Profil and GDI NRW catalog specifications from a RPC struct.

  Specified by:
    `createRequest` in class `CSWRequestFactory`
  Parameters:
    `struct` - RPC structure containing the request parameter
    `resultType` -
  Returns:
    GetFeature request as a string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org